> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach Contact To Organization

> Attach a specific contact to an organization



## OpenAPI

````yaml /api-reference/preview.json post /organizations/{organization_id}/contacts/{contact_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/contacts/{contact_id}:
    post:
      tags:
        - Core
        - Organizations
        - Contacts
      summary: Attach Contact To Organization
      description: Attach a specific contact to an organization
      operationId: >-
        attach_contact_to_organization_organizations__organization_id__contacts__contact_id__post
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: contact_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Contact Id
        - name: primary
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Primary
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    ContactResponse:
      properties:
        name:
          type: string
          title: Name
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - $ref: '#/components/schemas/DEPhoneNumber'
            - type: 'null'
        id:
          type: string
          title: Id
        roles:
          items:
            type: string
          type: array
          title: Roles
          default: []
      additionalProperties: true
      type: object
      required:
        - name
        - id
      title: ContactResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DEPhoneNumber:
      properties:
        phone_number:
          type: string
          format: phone
          title: Phone Number
        phone_type:
          $ref: '#/components/schemas/payroll__gb__schema__employee__PhoneType'
      additionalProperties: true
      type: object
      required:
        - phone_number
        - phone_type
      title: DEPhoneNumber
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    payroll__gb__schema__employee__PhoneType:
      type: string
      enum:
        - mobile
        - home
        - work
      title: PhoneType
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````